import thread
import time
import socket
import sys
import RPi.GPIO as GPIO

LOCAL_UDP_PORT = 1234
RELAY1_STATE = False
RELAY2_STATE = False
GPIO_RELAY1 = 24
GPIO_RELAY2 = 12
GPIO.setwarnings(False)
GPIO.setmode(GPIO.BOARD)
GPIO.setup(GPIO_RELAY1, GPIO.OUT)
GPIO.output(GPIO_RELAY1, 0)
GPIO.setup(GPIO_RELAY2, GPIO.OUT)
GPIO.output(GPIO_RELAY2, 0)

sock1 = socket.socket(socket.AF_INET, socket.SOCK_DGRAM) 
sock1.bind(("", LOCAL_UDP_PORT))
print "UDP Server Started!"
print""

while 1:
    
    data, addr = sock1.recvfrom(1024)
    print "Received Message:", data
    if (data == "toggle_1"):
        print "Action:", "toggling relay1"
        RELAY1_STATE = not RELAY1_STATE
        GPIO.output(GPIO_RELAY1, RELAY1_STATE)
        print ""
    else:
        if (data == "toggle_2"):
            print "Action:", "toggling relay2"
            RELAY2_STATE = not RELAY2_STATE
            GPIO.output(GPIO_RELAY2, RELAY2_STATE)
            print ""
        else:
            if (data == "exit"):
                print "Action:", "ending program"
                print "Goodbye!"
                print ""
                break    
            else:
                print "Error:", "unknown command"
                print ""